summaryrefslogtreecommitdiff
path: root/build.sh
diff options
context:
space:
mode:
authorjunghyuk.park <junghyuk.park@samsung.com>2018-06-25 18:47:41 +0900
committerGleb Balykov <g.balykov@samsung.com>2020-03-25 15:29:41 +0300
commit20beeabaa3ee777f2a9f113d8a59b569b57d6b20 (patch)
tree233bc7e73b851d527df93d02d0c37ee356fc69a0 /build.sh
parent455d6fe1191301a95b2cbb7a592afcdb209cd646 (diff)
downloadcoreclr-20beeabaa3ee777f2a9f113d8a59b569b57d6b20.tar.gz
coreclr-20beeabaa3ee777f2a9f113d8a59b569b57d6b20.tar.bz2
coreclr-20beeabaa3ee777f2a9f113d8a59b569b57d6b20.zip
[Tizen] Add support for GBS
Diffstat (limited to 'build.sh')
-rwxr-xr-xbuild.sh10
1 files changed, 5 insertions, 5 deletions
diff --git a/build.sh b/build.sh
index f4a0a69561..cff2195c82 100755
--- a/build.sh
+++ b/build.sh
@@ -75,9 +75,9 @@ initTargetDistroRid()
# Only pass ROOTFS_DIR if cross is specified.
if (( ${__CrossBuild} == 1 )); then
passedRootfsDir=${ROOTFS_DIR}
- elif [ "${__BuildArch}" != "${__HostArch}" ]; then
- echo "Error, you are building a cross scenario without passing -cross."
- exit 1
+ #elif [ "${__BuildArch}" != "${__HostArch}" ]; then
+ # echo "Error, you are building a cross scenario without passing -cross."
+ # exit 1
fi
initDistroRidGlobal ${__BuildOS} ${__BuildArch} ${__PortableBuild} ${passedRootfsDir}
@@ -448,10 +448,10 @@ build_CoreLib()
if [ $__SkipCrossgen == 1 ]; then
echo "Skipping generating native image"
- if [ $__CrossBuild == 1 ]; then
+ #if [ $__CrossBuild == 1 ]; then
# Crossgen not performed, so treat the IL version as the final version
cp $__CoreLibILDir/System.Private.CoreLib.dll $__BinDir/System.Private.CoreLib.dll
- fi
+ #fi
return
fi